|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QMouseDriverFactory Class Reference
[QtGui module]

The QMouseDriverFactory class creates mouse drivers in Qtopia Core. More...

     #include <QMouseDriverFactory>

- List of all members, including inherited members

### Static Public Members

- QWSMouseHandler * create ( const QString & key, const QString & device )
- QStringList keys ()

## Detailed Description

The QMouseDriverFactory class creates mouse drivers in Qtopia Core.

Note that this class is only available in Qtopia Core.

QMouseDriverFactory is used to detect and instantiate the available mouse drivers, allowing Qtopia Core to load the preferred driver into the server application at runtime. The create() function returns a QWSMouseHandler object representing the mouse driver identified by a given key. The valid keys (i.e. the supported drivers) can be retrieved using the keys() function.

Qtopia Core provides several built-in mouse drivers. In addition, custom mouse drivers can be added using Qt's plugin mechanism, i.e. by subclassing the QWSMouseHandler class and creating a mouse driver plugin (QMouseDriverPlugin). See the pointer handling documentation for details.

See also QWSMouseHandler and QMouseDriverPlugin.

## Member Function Documentation

### QWSMouseHandler * QMouseDriverFactory::create ( const QString & key, const QString & device ) `[static]`

Creates the mouse driver specified by the given key, using the display specified by the given device.

Note that the keys are case-insensitive.

See also keys().

### QStringList QMouseDriverFactory::keys () `[static]`

Returns the list of valid keys, i.e. the available mouse drivers.

See also create().